registry:
  restart: always
  image: registry:2
  ports:
    - 5000:5000
  environment:
    REGISTRY_HTTP_SECRET: aabuioqlwlcpp2
#    REGISTRY_HTTP_TLS_CERTIFICATE: /certs/cert.pem
#    REGISTRY_HTTP_TLS_KEY: /certs/privkey.pem
    REGISTRY_HTTP_LETSENCRYPT_CACHEFILE: /var/run/letsencrypt.cache
    REGISTRY_HTTP_LETSENCRYPT_EMAIL: r_morgan@sympatico.ca
#    REGISTRY_HTTP_HOST: https://192.168.4.41:5000
#    REGISTRY_HTTP_ADDR: 192.168.4.41:5000
    REGISTRY_AUTH: htpasswd
    REGISTRY_AUTH_HTPASSWD_PATH: /auth/htpasswd
    REGISTRY_AUTH_HTPASSWD_REALM: Registry Realm
  volumes:
    - /opt/shared/dkregistry/data:/var/lib/registry
    - /etc/letsencrypt/live/dkregistry.xai-corp.net:/certs
    - /opt/shared/dkregistry/auth:/auth
